[arch-dev-public] Move the catalyst drivers from extra to AUR/Community

Eduardo Romero k3nsai at gmail.com
Thu Feb 26 13:27:40 EST 2009

On Thu, 2009-02-26 at 18:57 +0100, Jan de Groot wrote:
> On Thu, 2009-02-26 at 11:38 -0600, Aaron Griffin wrote:
> > 
> > Well, I guess what I was saying is: *can* we even fix it? I mean, if
> > they release a broken driver, we can't exactly patch some closed
> > source blob
> I don't think we can fix most problems, but even if we were able to,
> licensing does not permit us. One example is the use of /usr/lib64 which
> is plain ugly. We can use sed on the binary files to load it
> from /usr/lib, but that violates the license because we're not allowed
> to distribute altered binaries.
> Whatever happens, I'm preparing xorg-server 1.6 this week for testing. I
> don't think AMD supports server-1.6 yet, but Nvidia does, so I see no
> reason to stick this release in testing as long as we did with
> server-1.5.
Aaron, what you say is true, I thought they could fix it, but as Jan
pointed out, is not legal to alter a blob. Didn't thought it that way so
Aaron you are right about moving this to AUR instead.

Jan, No catalyst does not support xorg-server-1.6 yet, another example
on how bad ATIs support is. I do vote for you not to hold xorg-server
that long waiting for them.

More information about the arch-dev-public mailing list